## xva-img 1.4.1

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.0)

SET(CMAKE_CXX_FLAGS_RELEASE "-Wall -Wextra -Wvla")
SET(CMAKE_BUILD_TYPE Release)

PROJECT("xva-img")
FIND_PACKAGE(OpenSSL REQUIRED)
SET(TARGET_NAME "xva-img")
FILE(GLOB_RECURSE SOURCE_FILES src/*.cpp)
ADD_EXECUTABLE(${TARGET_NAME} ${SOURCE_FILES})
TARGET_LINK_LIBRARIES(${TARGET_NAME}
	crypto
)
INSTALL(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/xva-img
	DESTINATION bin)

=== debian/changelog ===
xva-img (1.4.1-4) unstable; urgency=medium

  * Source-only upload to allow testing migration.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Tue, 23 Jun 2020 18:23:06 +0000

xva-img (1.4.1-3) unstable; urgency=medium

  * Bumped DH level to 13.
  * debian/manpage/xva-img.txt: created to provide a manpage.
  * debian/xva-img.1: updated.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Fri, 19 Jun 2020 01:14:50 +0000

xva-img (1.4.1-2) unstable; urgency=low

  * source only upload

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Sun, 05 Apr 2020 15:44:55 +0000

xva-img (1.4.1-1) unstable; urgency=low

  * Initial release (Closes: #854490)

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Sat, 08 Feb 2020 17:28:06 +0000

=== debian/control ===
Source: xva-img
Section: utils
Priority: optional
Maintainer: Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>
Build-Depends: debhelper-compat (= 13), cmake, libssl-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/eriklax/xva-img
Vcs-Browser: https://salsa.debian.org/debian/xva-img
Vcs-Git: https://salsa.debian.org/debian/xva-img.git

Package: xva-img
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Citrix XenServer .xva disk extraction tool
 xva-image is a tool to generate disk images from Citrix XenServer .xva
 VM images as well as to generate .xva VM images from raw disks and the
 according ova.xml files.
 .
 It's for example needed if you want to forensically analyse a virtual
 machine in .xva format on a non-Citrix operating system.
 .
 Citrix Xen uses a custom virtual appliance format for import/export
 called "XVA". it's basically a strangely crafted tar-file. You don't
 need this program to unpack this tar-file, just use your favourite tar
 unpacker (tar, gtar, bsdtar). Once unpacked you will end up with a lot
 of different files, ova.xml (which contains the settings for the virtual
 appliance, think VMware vmx) and a number of folders called Ref:<number>/,
 this is your disks. Each of these folders contain hundreds of files named
 00000000, 00000001 with a accompanying .CHECKSUM file (SHA1).
 Each file is a 1MB slice of the disk, but some of the files in the sequence
 will probably be missing this is because XVA do not use compression; instead
 it will exclude slices of the disk that only contains zeros (are empty).
 This tool can assemble the disk for you (you will end up with a RAW disk)
 that can easily be mounted and modified. It can then also split the file again
 and generate checksum. Once ready, you will probably want to use the "package"
 command to rebuild the XVA file.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.(?:bz2|gz|xz)/releases\/download\/$1\/$1\.tar\.(?:bz2|gz|xz)\.asc/ \
https://github.com/eriklax/xva-img/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## xva-img 1.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 2.0)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.0)
 
 SET(CMAKE_CXX_FLAGS_RELEASE "-Wall -Wextra -Wvla")
 SET(CMAKE_BUILD_TYPE Release)

=== debian/changelog ===
xva-img (1.4.2-1build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Fri, 03 Dec 2021 11:52:27 +0100

xva-img (1.4.2-1) unstable; urgency=medium

  * Upload to unstable. (Closes: #984407)

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Mon, 11 Oct 2021 17:33:17 +0000

xva-img (1.4.2-1~exp1) experimental; urgency=medium

  * New upstream version 1.4.2.
  * Bump Standards-Version to 4.6.0.
  * Update debian/watch.
  * debian/gbp.conf: replace debian/master with debian/latest.
  * debian/upstream/signing-key.asc: remove because upstream
    no longer signs the tarball.
  * Remove debian/manpage/ and debian/xva-img.1 because the
    upstream is providing one manual page.
  * debian/xva-img.manpages: pointing to upstream.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Mon, 20 Sep 2021 22:50:38 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>
 Build-Depends: debhelper-compat (= 13), cmake, libssl-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/eriklax/xva-img
 Vcs-Browser: https://salsa.debian.org/debian/xva-img

=== debian/watch ===
version=4
https://github.com/eriklax/xva-img/releases .*/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## xva-img 1.4.2+git20210415.21cdb48

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,9 @@
 CMAKE_MINIMUM_REQUIRED(VERSION 3.0)
+
+LINK_DIRECTORIES(/usr/local/lib)
+INCLUDE_DIRECTORIES(SYSTEM
+	/usr/local/include
+)
 
 SET(CMAKE_CXX_FLAGS_RELEASE "-Wall -Wextra -Wvla")
 SET(CMAKE_BUILD_TYPE Release)
@@ -10,6 +15,7 @@
 ADD_EXECUTABLE(${TARGET_NAME} ${SOURCE_FILES})
 TARGET_LINK_LIBRARIES(${TARGET_NAME}
 	crypto
+	xxhash
 )
 INSTALL(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/xva-img
 	DESTINATION bin)

=== debian/changelog ===
xva-img (1.4.2+git20210415.21cdb48-1) unstable; urgency=medium

  * New upstream version 1.4.2+git20210415.21cdb48.
  * Add libxxhash-dev to Build-Depends field.
  * Add debian/patches/Fix-CMakeLists.txt.patch.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 12 Dec 2023 17:32:08 +0000

xva-img (1.4.2-2) unstable; urgency=medium

  * Run 'wrap-and-sort -a'.
  * Update my email address.
  * Update the search rule in debian/watch.
  * Drop debian/salsa-ci.yml.
  * Update packaging copyright years.
  * Bump Standards-Version to 4.6.2.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 03 Jan 2023 12:15:13 +0000

## xva-img 1.5

=== debian/changelog ===
xva-img (1.5-2) experimental; urgency=medium

  * Update debian/watch from the old "version=4" syntax
    to the new "Version: 5" RFC-822 style format.
  * Bump Standards-Version to 4.7.2.
  * Remove "Rules-Requires-Root: no" (default since dpkg 1.22.13).
  * Update debian/patches/Fix-CMakeLists.txt.patch. (Closes: #1113648)
  * Update packaging copyright years.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 07 Oct 2025 15:59:44 +0000

xva-img (1.5-1) unstable; urgency=medium

  * New upstream version 1.5.
  * Update packaging copyright years.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Fri, 02 Feb 2024 11:37:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: xva-img
 Section: utils
 Priority: optional
-Maintainer: Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>
-Build-Depends: debhelper-compat (= 13), cmake, libssl-dev
-Standards-Version: 4.6.0
-Rules-Requires-Root: no
+Maintainer: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>
+Build-Depends: cmake,
+               debhelper-compat (= 13),
+               libssl-dev,
+               libxxhash-dev
+Standards-Version: 4.7.2
 Homepage: https://github.com/eriklax/xva-img
 Vcs-Browser: https://salsa.debian.org/debian/xva-img
 Vcs-Git: https://salsa.debian.org/debian/xva-img.git
 
 Package: xva-img
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: Citrix XenServer .xva disk extraction tool
  xva-image is a tool to generate disk images from Citrix XenServer .xva
  VM images as well as to generate .xva VM images from raw disks and the

=== debian/watch ===
Version: 5
Template: Github
Owner: eriklax
Project: @PACKAGE@
